iwd (3.10-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2130712). Remaining changes:
    - debian/rules: build with --enable-wired to avoid functional compared to
      wpa (Closes: #956457)
    - debian/control: recommend network-manager-iwd, remove wpasupplicant
      conflict to keep the same behaviour as before on Ubuntu and not remove
      '*-desktop' packages (Closes: #1094603)

 -- Anshul Singh <anshul.singh@canonical.com>  Wed, 05 Nov 2025 10:41:35 +0000

iwd (3.10-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + use file format version 5
    + add usage comment
  * unfuzz patch

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 25 Sep 2025 21:05:14 +0200

iwd (3.9-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2110205). Remaining changes:
    - debian/rules: build with --enable-wired to avoid functional compared to
      wpa (Closes: #956457)
    - debian/control: recommend network-manager-iwd, remove wpasupplicant
      conflict to keep the same behaviour as before on Ubuntu and not remove
      '*-desktop' packages (Closes: #1094603)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sun, 07 Sep 2025 18:17:28 +0200

iwd (3.9-2) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 10 Aug 2025 15:48:08 +0200

iwd (3.9-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Jun 2025 14:35:32 +0200

iwd (3.8-2) unstable; urgency=medium

  * build- and autopkgtest-check test-dpp and test-storage,
    apparently now working on all architectures

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 May 2025 11:46:59 +0200

iwd (3.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 May 2025 10:24:13 +0200

iwd (3.7-2) unstable; urgency=medium

  * skip failing test unit/test-storage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 May 2025 11:03:19 +0200

iwd (3.7-1) unstable; urgency=medium

  [ upstream ]
  * new release:
    + fix issue with handling length of EncryptedSecurity
    + fix issue with handling empty affinities lists
    + fix issue with handling survey scanning results
    + fix issue with handling duplicate values in DPP URI

  [ Jonas Smedegaard ]
  * unfuzz patches
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 06 May 2025 08:49:25 +0200

iwd (3.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Apr 2025 22:06:01 +0200

iwd (3.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.7.2
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Mar 2025 08:49:56 +0200

iwd (3.4-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable. Remaining changes (LP: #2088442):
    - debian/rules:
      - build with --enable-wired to avoid functional compared to wpa, but
        moved to a dedicated package, see below
  * Drop Changes:
    - The newer versions can be built with LTO (Closes: #1015432)
    - iwd.conf file is now included in network-manager-iwd (Closes: #1094498)
  * New Changes:
    - debian/control: ead is now in a dedicated package, as requested by the
      Debian maintainers (Closes: #956457)
    - debian/control: recommend network-manager-iwd, remove wpasupplicant
      conflict to keep the same behaviour as before on Ubuntu and not remove
      '*-desktop' packages (Closes: #1094603)

 -- Matthieu Baerts (matttbe) <matttbe@ubuntu.com>  Sat, 15 Feb 2025 16:48:45 +0100

iwd (3.4-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config:
    + simplify usage comment
    + filter-out debian subdir
  * unfuzz patches
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Feb 2025 06:45:35 +0100

iwd (3.3-4) unstable; urgency=medium

  * relax binary package network-manager-iwd
    to not conflict with wpasupplicant;
    update long description;
    closes: bug#1094603, thanks to Matthieu Baerts
  * update copyright info: drop bogus file entry ylwrap;
    closes: bug#1095607, thanks to Matthieu Baerts

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Feb 2025 22:00:28 +0100

iwd (3.3-3) unstable; urgency=medium

  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 29 Jan 2025 09:22:58 +0100

iwd (3.3-2) experimental; urgency=medium

  * provide new package network-manager-iwd;
    closes: bug#1094498, thanks to Matthieu Baerts

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 28 Jan 2025 23:05:33 +0100

iwd (3.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 20 Dec 2024 22:36:28 +0100

iwd (3.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update watch file:
    + add usage comment
    + use substitution strings
    + improve filename manging
    + set pgpmode=mode
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 26 Nov 2024 00:20:21 +0100

iwd (3.1-1) unstable; urgency=medium

  * Release 3.1
  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 08 Nov 2024 00:22:48 +0100

iwd (3.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2024 03:04:58 +0100

iwd (2.22-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 14 Sep 2024 02:42:56 +0200

iwd (2.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Sep 2024 07:28:14 +0200

iwd (2.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Aug 2024 17:41:59 +0200

iwd (2.19-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev
  * unfuzz patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 10 Jul 2024 08:59:26 +0200

iwd (2.18-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * declare compliance with Debian Policy 4.7.0
  * tighten build-dependency on libell-dev
  * unfuzz patch 1001

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Jun 2024 16:28:02 +0200

iwd (2.17-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Mar 2024 13:54:04 +0100

iwd (2.16-1) unstable; urgency=high

  [ upstream ]
  * new release;
    fixes CVE-2024-28084;
    closes: bug#1065443, thanks to Salvatore Bonaccorso

  [ Jonas Smedegaard ]
  * set urgency=high due to security bugfix

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 05 Mar 2024 06:28:42 +0100

iwd (2.15-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 28 Feb 2024 07:58:48 +0100

iwd (2.14-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:57:46 +1100

iwd (2.14-1ubuntu2) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:56:26 +0100

iwd (2.14-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/iwd.conf, debian/rules:
      - provide a network-manager configuration to make iwd the default
        backend when installed
    - debian/rules:
      - build with --enable-wired to avoid functional compared to wpa
      - disable lto, it's leading to a build issue

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 20 Feb 2024 21:47:10 +0000

iwd (2.14-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 11 Feb 2024 19:05:31 +0100

iwd (2.13-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes: (LP: #2049515)
    - debian/iwd.conf, debian/rules:
      - provide a network-manager configuration to make iwd the default
        backend when installed
    - debian/rules:
      - build with --enable-wired to avoid functional compared to wpa
      - disable lto, it's leading to a build issue

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 16 Jan 2024 18:45:49 +0000

iwd (2.13-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * build-depend on systemd-dev (not systemd);
    closes: bug#1060583, thanks to Michael Biebl
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 14 Jan 2024 09:22:07 +0100

iwd (2.12-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 30 Dec 2023 03:44:28 +0100

iwd (2.11-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 15 Dec 2023 22:28:36 +0100

iwd (2.10-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 30 Nov 2023 12:08:59 +0100

iwd (2.8-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian, remaining changes
    + debian/iwd.conf, debian/rules:
      - provide a network-manager configuration to make iwd the default
        backend when installed
    + debian/rules: 
      - build with --enable-wired to avoid functional compared to wpa
      - disable lto, it's leading to a build issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Sep 2023 19:53:17 +0200

iwd (2.8-1) unstable; urgency=medium

  * add patch 2001 to use system group sudo instead of wheel;
    closes: bug#1050325, thanks to Michael Biebl and Simon McVittie
  * tighten build-dependency on libell-dev
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Aug 2023 19:44:59 +0200

iwd (2.7-2) unstable; urgency=medium

  * drop patch 2001, obsoleted since upstream release v1.23;
    closes: bug#1043265, thanks to Diederik de Haas

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 08 Aug 2023 11:23:48 +0200

iwd (2.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 Jul 2023 18:57:37 +0200

iwd (2.6-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 27 Jun 2023 18:20:24 +0200

iwd (2.5-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 13 Jun 2023 00:09:12 +0200

iwd (2.3-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 04 Feb 2023 13:57:18 +0100

iwd (2.2-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix source helper tool copyright-check
    + work with Path::Tiny 0.144
    + avoid insecure shell expansion
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jan 2023 18:31:20 +0100

iwd (2.1-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 21 Dec 2022 13:50:08 +0100

iwd (2.0-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * unfuzz patches
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Dec 2022 10:25:36 +0100

iwd (1.30-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * unfuzz patches
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 09 Sep 2022 20:35:26 +0200

iwd (1.29-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 18 Jul 2022 10:49:43 +0200

iwd (1.28-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev
  * declare compliance with Debian Policy 4.6.1
  * update copyright info: update coverage
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 06 Jun 2022 10:34:46 +0200

iwd (1.27-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update git-buildpackage config: enable automatic DEP-14 branch name handling
  * tighten build-dependency on libell-dev

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 22 Apr 2022 13:07:17 +0200

iwd (1.26-3) unstable; urgency=medium

  * revert to enable hardening,
    still needed to enable feature bindnow
    (i.e. LDFLAGS=-Wl,-z,now);
    thanks to Jeremy Bicha

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2022 11:25:26 +0200

iwd (1.26-2) unstable; urgency=medium

  * revert to again disable DPP unit test,
    not stable after all;
    closes bug#1008392, thanks to Paul Gevers
  * stop explicitly enable hardening,
    done by default nowadays

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Mar 2022 03:13:40 +0200

iwd (1.26-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Mar 2022 11:22:51 +0100

iwd (1.25-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * enable DDP unit test, seemingly now stabilized
  * update copyright info: update coverage
  * tighten build-dependency on libell-dev
  * update git-buildpackage config:
    + use branch name debian/latest (not debian/master)
    + stop needlessly set upstream-vcs-tag

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Mar 2022 08:52:32 +0100

iwd (1.24-2) unstable; urgency=medium

  * add patches cherry-picked upstream:
    + remove periodic scans from queue on abort
    + fix crash from not cancelling netdev_get_oci

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 22 Feb 2022 03:19:33 +0100

iwd (1.24-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)
    + dbus: Remove 'at_console', add 'netdev' settings
      closes: bug#998427,
      thanks to Nelson A. de Oliveira and Diederik de Haas

  [ Jonas Smedegaard ]
  * tighten build-dependency on libell-dev
  * unfuzz patches

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Feb 2022 17:01:38 +0100

iwd (1.21-3) unstable; urgency=medium

  * skip DPP test failing on CI tests on arm64
    (upstream describes DPP as experimental,
    so treating this as of low importance)
  * improve notes in source about skipped tests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 14 Jan 2022 02:12:51 +0100

iwd (1.21-2) unstable; urgency=medium

  * skip unit test test-dpp

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 11 Jan 2022 01:19:28 +0100

iwd (1.21-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info: update coverage
  * unfuzz patches
  * install upstream-shipped config file;
    closes: bug#1002575, thanks to Diederik de Haas
  * tighten lintian overrides

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 09 Jan 2022 21:25:59 +0100

iwd (1.20-3) unstable; urgency=medium

  * Declare that iwd breaks older orphan-sysvinit-scripts
    (see bug#1000879)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Dec 2021 14:04:11 +0100

iwd (1.20-2) unstable; urgency=medium

  * link against system-shared libell;
    build-depend on libell-dev;
    closes: bug#911057, thanks to Andreas Henriksson
  * add patch 1001 proposed by Andreas Henriksson
    to hook up traditional dbus activation
  * add systemV init script
    (disabled by default same as systemd service);
    closes: bug#966518, thanks to Job Bautista
  * add README.Debian,
    mentioning how to enable as persistently running service
  * mention in README.Debian that network device naming is overridden;
    closes: bug#941652, thanks to Michael Biebl and Andreas Henriksson

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Nov 2021 15:34:31 +0100

iwd (1.20-1) unstable; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 20 Nov 2021 04:07:53 +0100

iwd (1.19-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * fix check tests only once during build

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Nov 2021 20:54:47 +0100

iwd (1.18-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * update copyright info:
    + improve source script copyright-check
    + use Reference (not License-Reference);
      add lintian overrides about License-Reference field
    + update coverage
  * drop patch cherry-picked upstream now applied
  * update git-buildpackage config:
    + avoid any .git* files
    + add usage comment
  * drop NEWS file: contained only an entry predating stable Debian
  * drop unused gitlab-ci file from source

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 18 Sep 2021 17:09:51 +0200

iwd (1.17-2) unstable; urgency=medium

  * re-enable unit test test-eapol
  * add patch cherry-picked upstream
    to fix eapol IP Allocation test failure
  * rename patch 0001 -> 2001,
    and add debian/patches/README documenting patch-naming-micro-policy

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 05 Sep 2021 18:09:44 +0200

iwd (1.17-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * skip unit test test-eapol
  * add homepage
  * update upstream name (and mention it in long description),
    and add upstream preferred contact

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Aug 2021 11:25:34 +0200

iwd (1.16-2) unstable; urgency=medium

  * release for unstable

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Aug 2021 15:55:09 +0200

iwd (1.16-1) experimental; urgency=medium

  [ upstream ]
  * new release

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 10 Aug 2021 18:53:00 +0200

iwd (1.15-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Jun 2021 08:36:44 +0200

iwd (1.14-3) unstable; urgency=medium

  * fix treat failing tests as flaky (not reliably failing):
    they fail with sbuild but succeed with pbuilder

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 06 May 2021 09:06:22 +0200

iwd (1.14-2) unstable; urgency=medium

  * fix stop avoid tests in autopkgtest
    (seemingly fail only during build)

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 May 2021 18:29:12 +0200

iwd (1.14-1) unstable; urgency=medium

  [ upstream ]
  * new bugfix release

  [ Jonas Smedegaard ]
  * tighten build-time tests,
    ignoring only known failing tests test-wsc test-eap-sim
    (not the whole testsuite)
  * add autopkgtest

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 05 May 2021 17:35:37 +0200

iwd (1.13-2) unstable; urgency=medium

  * release to unstable

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 20 Apr 2021 08:22:14 +0200

iwd (1.13-1) experimental; urgency=medium

  [ upstream ]
  * new release;
    closes: bug#986181, thanks to Job Bautista

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 Apr 2021 00:03:01 +0200

iwd (1.12-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * copyright: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 17 Feb 2021 12:52:17 +0100

iwd (1.11-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * recommend wireless-regdb

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jan 2021 23:46:49 +0100

iwd (1.10-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use debhelper compatibility level 13 (not 12)
  * declare compliance with Debian Policy 4.5.1

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Dec 2020 14:13:42 +0100

iwd (1.9-2) unstable; urgency=medium

  * adopt package
  * set Rules-Requires-Root: no
  * declare compliance with Debian Policy 4.5.0
  * add CVE closure for previous changelog section
  * copyright:
    + normalize listing of copyright holders
    + use License-Grant and License-Reference,
      and list License sections last
    + merge same-licensed Files sections
    + update coverage
  * add source script copyright-check

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 08 Oct 2020 01:35:19 +0200

iwd (1.9-1) unstable; urgency=medium

  [ upstream ]
  * new release
    + eapol: prevent key reinstallation on retransmitted Msg4/4
      closes: bug#968996, thanks to Salvatore Bonaccorso
      CVE-2020-17497

  [ Andreas Henriksson ]
  * Recommend dbus (system bus)
    Interaction with iwd happens via dbus, i.e. as used by the iwctl
    command (or NetworkManager iwd backend).
    Packages using D-Bus usually doesn't describe this in their package
    relationships and implicitly rely on everyone having a bus available.
    People using iwd however seems to be confused about the lack of a
    startup script and fails to realize that "dbus activation" is the
    intended way to start iwd so hopefully making the dbus relationship more
    explicit will give a hint and help people figure this out.
  * Do not enable/start/restart service by default
  * Extend package description with note about dbus activation
  * Add d/p/0001-Switch-wheel-to-netdev-group-in-dbus-policy.patch
  * New upstream release.
  * Update debian/copyright
  * Orphan package (see #969586)

 -- Andreas Henriksson <andreas@fatal.se>  Sat, 05 Sep 2020 16:05:08 +0200

iwd (1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 18 Jun 2020 11:15:35 +0200

iwd (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 16 Apr 2020 08:17:36 +0200

iwd (1.6-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/iwd.bug-presubj with instructions for bug reporting

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 25 Mar 2020 15:01:09 +0100

iwd (1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Feb 2020 19:01:56 +0100

iwd (1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/NEWS about iwctl history file non-migration.
  * Revert "Add patch suggested by upstream for EOPNOTSUPP"
  * Revert "Cherry-pick patch from upstream fixing crash"

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 09 Feb 2020 19:01:42 +0100

iwd (1.2-2) unstable; urgency=medium

  * Cherry-pick patch from upstream fixing crash (Closes: #946639)
  * Add patch suggested by upstream for EOPNOTSUPP

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 12 Dec 2019 20:00:05 +0100

iwd (1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 28 Nov 2019 10:06:15 +0100

iwd (1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 15 Nov 2019 22:46:26 +0100

iwd (1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/iwd.docs: drop installing main.conf example
    - obsolete example was removed upstream, see newly written
      manpage documentation now available instead.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 30 Oct 2019 14:30:11 +0100

iwd (0.23-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 24 Oct 2019 09:38:10 +0200

iwd (0.22-1) unstable; urgency=medium

  * New upstream release.
  * iwd.docs: doc/*.txt no longer shipped
  * Build-depend on python3-docutils for manpage generation
  * Build-dep on openssl for unit test cert generation

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 11 Oct 2019 10:34:15 +0200

iwd (0.21-1) unstable; urgency=medium

  * New upstream release.
  * Ship main.conf example and other docs (Closes: #939037)
  * Drop obsolete postinst script

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 18 Sep 2019 10:34:03 +0200

iwd (0.20-1) unstable; urgency=medium

  * New upstream release.
  * Drop cherry-picked patch now part of upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 29 Aug 2019 18:22:43 +0200

iwd (0.19-2) unstable; urgency=medium

  * Cherry-pick patch from upstream to create storage dirs (Closes: #934194)

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 11 Aug 2019 14:09:00 +0200

iwd (0.19-1) unstable; urgency=medium

  * New upstream release.

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 05 Aug 2019 13:37:59 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog iwd`.
